body {
  background: #282634;
  font-family: 'Alegreya Sans SC Medium', sans-serif;
}

/* ----------------------------------------------------------------------- */
/* Home Page ------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

.logo {
  width: 100%;
  height: 175px;

  background-image: url(./img/logo-no-background.svg);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: left;

  margin-top: 1vw;
  margin-bottom: 2vw;
  margin-left: 50px;
}

.content {
  margin-left: 5vw;
  margin-right: 5vw;
}

/* ----------------------------------------------------------------------- */
/* Search Box ------------------------------------------------------------ */

.searchHead {
  max-width: 1000px;

  background-color: #ff4057;
  border-radius: 10px;

  padding: 30px;
  padding-bottom: 20px;

  margin: auto;
  margin-bottom: 15px;
}

.radio {
  display: flex;
  flex-wrap: wrap;

  color: #DCDCDC;
  font-size: 13px;
  cursor: pointer;

  padding-top: 3px;
  padding-right: 20px;
}

input[type=radio]#radio {
  cursor: pointer;
  margin-right: 3px;
}

.boxes {
  display: flex;
}

.searchBox {
  width: 100%;
  padding-right: 5px;
}

.yearBox {
  width: 100px;
}

/* ----------------------------------------------------------------------- */
/* Fav Heading ----------------------------------------------------------- */

.heading {
  color: #ff4057;
}

.favTitle {
  border: 3px solid #DCDCDC;
  border-top: none;
  border-left: none;
  border-right: none;
  height: 43px;

  text-align: center;
  margin-top: 50px;
  margin-bottom: 10px;
  margin-left: 50px;
  margin-right: 50px;
}

/* ----------------------------------------------------------------------- */
/* Movie Grid - Poster --------------------------------------------------- */

.movieList {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;

  margin-bottom: 30px;
}

.poster {
  min-width: 200px;
  min-height: 300px;
  width: 200px;
  height: 300px;
  color: transparent;
}

.image-container {
  position: relative;
  transition: transform 0.2s;

  border: 3px solid #DCDCDC;
  border-radius: 3px;

  margin: 15px;
}

.image-container:hover {
  transform: scale(1.1);
}

.image-container:hover .overlay {
  opacity: 1;
}

/* ----------------------------------------------------------------------- */
/* Top Icons ------------------------------------------------------------- */

.topIcons {
  display: flex;
  align-items: right;
  justify-content: right;

  padding: 5px;
}

.topIconSeen {
  padding-right: 5px;
}

/* ----------------------------------------------------------------------- */
/* Labels ---------------------------------------------------------------- */

.grad {
  position: absolute;
  bottom: 0;

  width: 100%;
  height: 100%;

  background: rgb(40, 38, 52);
  background: linear-gradient(0deg, rgba(40, 38, 52, 1) 0%, rgba(40, 38, 52, 0) 50%, rgba(40, 38, 52, 0) 100%);
}

.movieLabel {
  position: absolute;
  bottom: 0;
  width: 100%;

  font-size: 14px;
  color: #DCDCDC;
  text-shadow: -1px -1px 0 #282634, 1px -1px 0 #282634, -1px 1px 0 #282634, 1px 1px 0 #282634;

  padding: 10px;
}

.labelline2 {
  display: flex;
  justify-content: space-between;
}

/* ----------------------------------------------------------------------- */
/* Buttons --------------------------------------------------------------- */

.overlay {
  position: absolute;
  bottom: 0;

  width: 100%;
  height: 100%;

  background: rgb(40, 38, 52);
  background: linear-gradient(0deg, rgba(40, 38, 52, 1) 0%, rgba(40, 38, 52, 0) 50%, rgba(40, 38, 52, 0) 100%);

  transition: 0.5s ease;
  opacity: 0;
}

.overlayButtons {
  position: absolute;
  bottom: 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;

  width: 100%;
  height: 100%;

  font-size: 20px;
  text-align: center;
}

.overlaySeen {
  border: 2px solid lightskyblue;
}

.overlayFav {
  border: 2px solid gold;
}

.overlayInfo {
  width: 100%;
  height: 85%;
}

.overlayFav,
.overlaySeen {
  width: 50px;
  background-color: #22202b;
  border-radius: 10px;
  cursor: pointer;

  margin: 5px;
}

.bi-star-fill,
.bi-star,
.bi-house-fill {
  transform: translateY(-2px);
}

.bi-eye-slash,
.bi-eye-fill {
  transform: translateY(-1px);
}

/* ----------------------------------------------------------------------- */
/* Info Page ------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

.logoInfo {
  background-position: right;
  margin-left: -50px;
  margin-bottom: -50px;
}

.info-container {
  display: flex;
}

.posterLarge {
  min-width: 50vh;
  min-height: 75vh;
  width: 50vh;
  height: 75vh;
  color: transparent;

  border: 3px solid #DCDCDC;
  border-radius: 3px;
}

/* ----------------------------------------------------------------------- */
/* Info Page Buttons ----------------------------------------------------- */

.infoPageButtons {
  display: flex;

  margin-left: 25px;
  margin-bottom: 10px;
}

.SeenBut {
  border: 2px solid lightskyblue;
}

.FavBut {
  border: 2px solid gold;
}

.HomeBut {
  border: 2px solid #ff4057;
}

.SeenBut,
.FavBut,
.HomeBut {
  width: 40px;
  height: 40px;
  background-color: #22202b;
  border-radius: 50px;
  cursor: pointer;

  margin: 2px;
  padding: 6px;

  text-align: center;
}

.bi-clock {
  transform: translateY(-2px);
  margin-right: 5px;
}

/* ----------------------------------------------------------------------- */
/* Info Text ------------------------------------------------------------- */

.infoText {
  margin-left: 25px;
  margin-top: 25px;
}

.title {
  color: #ff4057;
  margin-bottom: 0px;
}

.topInfo {
  display: flex;
  justify-content: space-between;
}

.type {
  text-transform: uppercase;
}

.IMDBrating {
  display: flex;
  flex-direction: column;
  text-align: center;

  margin-left: 100px;
}

.rating {
  opacity: 1;
  font-size: 20px;
  font-weight: bold;
}

h5 {
  color: #DCDCDC;
  margin-bottom: 10px;
  margin-top: 25px;
}

p {
  color: #DCDCDC;
  margin-bottom: 2px;
}

span {
  opacity: 0.7;
  color: #DCDCDC;

  font-size: 14px;

  padding-right: 20px;
}

strong {
  color: #ff4057;
}

/* ----------------------------------------------------------------------- */
/* Small Width ----------------------------------------------------------- */
/* ----------------------------------------------------------------------- */

@media screen and (max-width: 1470px) {
  .logoInfo {
    margin-bottom: 50px;
  }
}